package cn.com.countrygarden.bi.main.dao.personnel;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.dto.LabelVo;
import cn.com.countrygarden.bi.main.dto.PersonInfoVO;
import cn.com.countrygarden.bi.main.dto.personnelTagDTO;
import cn.com.countrygarden.bi.main.dto.PersonnelTgDTO;
import cn.com.countrygarden.bi.main.dto.PersonnelpascTagidDTO;
import cn.com.countrygarden.bi.main.model.test.Test;
import cn.com.countrygarden.bi.main.model.personnel.PersonnelTag;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 人才标签-数据层
 *
 * @author 李森林
 * @email www.justintoforest@gamail.com
 * @url www.yuhi.com.cn
 * @date 2018-07-10
 */
public interface PersonnelTagMapper extends Mapper<PersonnelTag>{

    List<personnelTagDTO> selectByNameOrIdentity(@Param("obj") LabelVo obj,@Param("rolesMap") Map<String, Object> rolesMap,@Param("userquyu")List<String> result);

    personnelTagDTO selectDTOByPrimaryKey(Integer id);

    List<PersonInfoVO> selectByPersonInfoByCodeOrName(@Param("search") String search,@Param("rolesMap") Map<String, Object> rolesMap,@Param("userquyu")List<String> userquyu);

    List<PersonnelTgDTO> personneltag(@Param("userId") String userId,@Param("identity") String identity);

    List<PersonnelpascTagidDTO> tagid(@Param("id") Integer id);
    
    List<PersonnelpascTagidDTO> selectdeleperid(@Param("userId") String userId);

    int deleteuserid(@Param("userId") String userId);

    int inserttag(PersonnelTag personnelTag);
    
    List<String> findErpUserCode(@Param("userIds")List<String> userIds,@Param("identitys") List<String> identitys);
    
    personnelTagDTO personneltaguserid(@Param("userId") String userId);
    
    List<String> findErpRegionByUserquyu(@Param("userCode")String userCode);
    
    int delpingliang(@Param("uertid")List<String> uertid);
    
    int delpingliangtag(@Param("uertid")List<String> uertid);

}